classification
Title: asyncio.Task.all_tasks() and asyncio.Task.current_task() must be removed in 3.9
Type: Stage: commit review
Components: asyncio Versions: Python 3.10, Python 3.9
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: aeros, asvetlov, lukasz.langa, miss-islington, remi.lapeyre, yselivanov
Priority: normal Keywords: patch

Created on 2020-06-13 10:48 by remi.lapeyre, last changed 2020-07-02 04:18 by aeros.

Pull Requests
URL Status Linked Edit
PR 20874 merged remi.lapeyre, 2020-06-14 22:16
PR 21272 merged miss-islington, 2020-07-02 03:41
Messages (9)
msg371449 - (view) Author: Rémi Lapeyre (remi.lapeyre) * Date: 2020-06-13 10:48
The documentation says:


      .. deprecated-removed:: 3.7 3.9

         Do not call this as a task method. Use the :func:`asyncio.all_tasks`
         function instead.


I don't know if it's still possible to merge this in 3.9 and if so, if it should be a release blocker. Anyway I'm working on a PR for this.
msg371451 - (view) Author: Kyle Stanley (aeros) * (Python committer) Date: 2020-06-13 11:25
Thanks for bringing attention to this Rémi. 

I'm a bit concerned that it might be a bit late into the 3.9 beta to incorporate a removal and that we might need to consider delaying to 3.10, but I'll leave that up to Lukasz. Feel free to open a PR in the meantime since it will need to be removed either way, the only main difference is whether or not it gets backported to 3.9.

(I elevated the priority to "release blocker", as I think it should be a blocker for 3.10 if it's not for 3.9. The version should be updated accordingly.)
msg372475 - (view) Author: Rémi Lapeyre (remi.lapeyre) * Date: 2020-06-27 18:36
With beta 4 coming in 2 days it would perhaps good to choose now whether this must be done for 3.9 or 3.10
msg372483 - (view) Author: Kyle Stanley (aeros) * (Python committer) Date: 2020-06-28 00:16
> With beta 4 coming in 2 days it would perhaps good to choose now whether this must be done for 3.9 or 3.10

Agreed. I'm definitely leaning towards 3.10 with it being decently well into the beta, but I'll try to bring this to Yury's attention to make a final decision on the matter. Optimally, we want to do removals before the beta so that users can prepare accordingly rather than deal with breakage in the final release.
msg372628 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2020-06-29 20:43
> Optimally, we want to do removals before the beta so that users can prepare accordingly rather than deal with breakage in the final release.

+1 to remove it now.  Up to Lukasz to give us green or red light here, though.
msg372630 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2020-06-29 20:57
Go ahead.
msg372800 - (view) Author: miss-islington (miss-islington) Date: 2020-07-02 03:41
New changeset 004e64e8059fe68a72890314673282f2e60d5ce1 by Rémi Lapeyre in branch 'master':
bpo-40967: Remove deprecated asyncio.Task.current_task() and asyncio.Task.all_tasks() (GH-20874)
https://github.com/python/cpython/commit/004e64e8059fe68a72890314673282f2e60d5ce1
msg372801 - (view) Author: miss-islington (miss-islington) Date: 2020-07-02 04:06
New changeset df59293bf0d815fe37743025d639a63a78e0c771 by Miss Islington (bot) in branch '3.9':
bpo-40967: Remove deprecated asyncio.Task.current_task() and asyncio.Task.all_tasks() (GH-20874)
https://github.com/python/cpython/commit/df59293bf0d815fe37743025d639a63a78e0c771
msg372802 - (view) Author: Kyle Stanley (aeros) * (Python committer) Date: 2020-07-02 04:18
Thanks Rémi for working on this.
History
Date User Action Args
2020-07-02 04:18:26aerossetpriority: release blocker -> normal

messages: + msg372802
stage: patch review -> commit review
2020-07-02 04:06:55miss-islingtonsetmessages: + msg372801
2020-07-02 03:41:47miss-islingtonsetpull_requests: + pull_request20422
2020-07-02 03:41:33miss-islingtonsetnosy: + miss-islington
messages: + msg372800
2020-06-29 20:57:32lukasz.langasetmessages: + msg372630
2020-06-29 20:43:21yselivanovsetmessages: + msg372628
2020-06-29 10:30:25inada.naokilinkissue41156 superseder
2020-06-28 00:16:10aerossetmessages: + msg372483
2020-06-27 18:36:29remi.lapeyresetmessages: + msg372475
2020-06-14 22:16:45remi.lapeyresetkeywords: + patch
stage: patch review
pull_requests: + pull_request20062
2020-06-13 11:25:07aerossetpriority: normal -> release blocker
nosy: + lukasz.langa, aeros
messages: + msg371451

2020-06-13 10:48:02remi.lapeyrecreate